List Retailer Merchant Settings
Returns a list of RetailerMerchantSetting objects under the given Retailer.
Authorizations
Query Parameters
Specify additional fields of the RetailerMerchantSetting object to be included in the response.
See the selecting fields page for more information.
basic, all, merchant, default_tpb_group_id, default_duties_tpb_group_id, retailer, created_at, updated_at Specify additional fields of the Merchant object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, status, created_at, updated_at, brands, default_brand, custom_fields Specify additional fields of the parent Retailer object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, status, fulfillment_model, parent_retailer, legal_name, dba, default_duties_payor, default_shipping_method, allowed_shipping_methods, routing_guide_notes, custom_fields, created_at, updated_at Using the filtering syntax, you may filter the results using the following fields:
idcreated_atupdated_at
The default sort order is ascending by primary key (sort=id).
Using the sorting syntax, the following fields are available for sorting:
idcreated_atupdated_at
If specified as 1, the meta.count property of the response will be present and populated with the total count of items
matching the query before any paging is applied. This is not included by default to improve performance in some edge
cases and is not required to perform paging using the next property of the response.
See paging parameters for more information.
0 <= x <= 1A cursor for use in pagination which defines the end of the next page of results, non-inclusive.
For collections sorted by id this is the last id. For other sort orders use the
opaque cursor provided by the previous link and meta.cursor_end of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
A cursor for use in pagination which defines the start of the next page of results.
For collections sorted by id this is the starting id. For other sort orders use the
opaque cursor provided by the next link and meta.cursor_start of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
Response
A dictionary with a collection property that contains an array of RetailerMerchantSetting objects.